Skip to main content
GET
cURL
Retrieve tweets by user id.Sort by created_at. Results are paginated, with each page returning up to 20 tweets.The content you see is in the same order as the tweets on the user’s profile in the Twitter app, and filtering by time is not supported.

Authorizations

X-API-Key
string
header
required

Query Parameters

userId
string<string>

user id of the user.

includeReplies
boolean
default:false

Whether to include replies in the results. Default is False.

includeParentTweet
boolean
default:false

Whether to include the parent tweet when the tweet is a reply. Default is False.

cursor
string<string>

The cursor to paginate through the results. First page is "".

Response

Tweets response

tweets
object[]
required

Array of tweets

has_next_page
boolean
required

Indicates if there are more results available

next_cursor
string
required

Cursor for fetching the next page of results

status
enum<string>
required

Status of the request.success or error

Available options:
success,
error
message
string
required

Message of the request.error message